# Installation on server

## Xsentfile module

On Apache Webserver install xsendfile module.

i.e. on CentOS

`yum install mod_xsendfile`

## Configuration of vhost

In the Apache vhost for cipkg server set the XSendFilePath - it is an absolute
path on your websever.

Redirect all requests to /packages/[whatever] to /packages/index.php


Example snippet

```text

    XSendFile On
    XSendFilePath "/var/www/cipkg.example.com/packages/"

    <Location "/packages">

        RewriteEngine on
        RewriteCond %{REQUEST_FILENAME} !-f
        RewriteRule ^(.*)$ index.php [QSA,L]

    </Location>
```
